%define  modulename deprecation

Name:    python-module-%modulename
Version: 1.0
Release: alt1

Summary: A library to handle automated deprecations
License: Apache-2.0
Group:   Development/Python
URL:     https://github.com/briancurtin/deprecation

BuildRequires: rpm-build-python
BuildRequires: python-devel
BuildRequires: python-module-distribute

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-devel
BuildRequires: python3-module-setuptools

BuildArch: noarch

Source:  %modulename-%version.tar

%description
%summary

%package -n python3-module-%modulename
Summary: A library to handle automated deprecations
Group: Development/Python3

%description -n python3-module-%modulename
%summary

%prep
%setup -n %modulename-%version

# Remove bundled egg-info
rm -rf %modulename.egg-info

rm -rf ../python3
cp -a . ../python3

%build
# Required to avoid error "UnicodeDecodeError: 'ascii' codec can't decode byte 0xe2 in position 1918"
export LANG=en_US.utf8
%python_build

pushd ../python3
%python3_build
popd

%install
# Required to avoid error "UnicodeDecodeError: 'ascii' codec can't decode byte 0xe2 in position 1918"
export LANG=en_US.utf8
%python_install

pushd ../python3
%python3_install
popd

%files
%doc README.rst
%python_sitelibdir/*

%files -n python3-module-%modulename
%doc README.rst
%python3_sitelibdir/*

%changelog
* Tue Mar 05 2019 Lenar Shakirov <snejok@altlinux.ru> 1.0-alt1
- 1.0
